libsigc++: sigc::compose2_functor< T_setter, T_getter1, T_getter2 > Struct Template Reference

libsigc++ 3.0.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
sigc::compose2_functor< T_setter, T_getter1, T_getter2 > Struct Template Reference
Adaptors » compose()

Adaptor that combines three functors. More...

`#include <sigc++/adaptors/compose.h>`

Inheritance diagram for sigc::compose2_functor< T_setter, T_getter1, T_getter2 >:
[legend]

## Public Member Functions
| compose2_functor (const T_setter& setter, const T_getter1& getter1, const T_getter2& getter2)
| Constructs a compose2_functor object that combines the passed functors. More...
template<typename... T_arg>
decltype(auto) | operator() (T_arg...a)
Public Member Functions inherited from sigc::adapts< T_setter >
| adapts (const T_setter& functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
T_getter1 | get1_
T_getter2 | get2_
Public Attributes inherited from sigc::adapts< T_setter >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<typename T_setter, typename T_getter1, typename T_getter2>
struct sigc::compose2_functor< T_setter, T_getter1, T_getter2 >

Adaptor that combines three functors.

Use the convenience function sigc::compose() to create an instance of sigc::compose2_functor.

The following template arguments are used:

- T_setter Type of the setter functor to wrap.
- T_getter1 Type of the first getter functor to wrap.
- T_getter2 Type of the second getter functor to wrap.

## Constructor & Destructor Documentation

template <typename T_setter , typename T_getter1 , typename T_getter2 >

sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::compose2_functor | ( | const T_setter & | setter,
|  | const T_getter1 & | getter1,
|  | const T_getter2 & | getter2
| ) |  |
| inline

Constructs a compose2_functor object that combines the passed functors.

Parameters

  setter | Functor that receives the return values of the invocation of getter1 and getter2.
  getter1 | Functor to invoke from operator()().
  getter2 | Functor to invoke from operator()().

## Member Function Documentation

template <typename T_setter , typename T_getter1 , typename T_getter2 >
template <typename... T_arg>

decltype(auto) sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::operator() | ( | T_arg... | a | ) |
| inline

## Member Data Documentation

template <typename T_setter , typename T_getter1 , typename T_getter2 >

T_getter1 sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::get1_

template <typename T_setter , typename T_getter1 , typename T_getter2 >

T_getter2 sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::get2_